use std::collections::HashMap;

pub fn propagate() -> HashMap<&'static str, &'static str> {
    HashMap::from([
        ("abkhaz", "abk"),
        ("abaza", "abq"),
        ("iraqi arabic", "acm"),
        ("adyghe", "ady"),
        ("gulf arabic", "afb"),
        ("afrihili", "afh"),
        ("afrikaans", "afr"),
        ("assyrian neo-aramaic", "aii"),
        ("ainu", "ain"),
        ("south levantine arabic", "ajp"),
        ("aklanon", "akl"),
        ("gheg albanian", "aln"),
        ("southern altai", "alt"),
        ("amharic", "amh"),
        ("old english", "ang"),
        ("uab meto", "aoz"),
        ("north levantine arabic", "apc"),
        ("arabic", "ara"),
        ("aragonese", "arg"),
        ("algerian arabic", "arq"),
        ("moroccan arabic", "ary"),
        ("egyptian arabic", "arz"),
        ("assamese", "asm"),
        ("asturian", "ast"),
        ("avar", "ava"),
        ("kotava", "avk"),
        ("awadhi", "awa"),
        ("libyan arabic", "ayl"),
        ("aymara", "aym"),
        ("azerbaijani", "aze"),
        ("bashkir", "bak"),
        ("baluchi", "bal"),
        ("bambara", "bam"),
        ("balinese", "ban"),
        ("bavarian", "bar"),
        ("central bikol", "bcl"),
        ("belarusian", "bel"),
        ("bengali", "ben"),
        ("berber", "ber"),
        ("mahasu pahari", "bfz"),
        ("bhojpuri", "bho"),
        ("bislama", "bis"),
        ("banjar", "bjn"),
        ("tibetan", "bod"),
        ("berom", "bom"),
        ("bosnian", "bos"),
        ("breton", "bre"),
        ("bodo", "brx"),
        ("buryat", "bua"),
        ("bulgarian", "bul"),
        ("baybayanon", "bvy"),
        ("brithenig", "bzt"),
        ("catalan", "cat"),
        ("cayuga", "cay"),
        ("chavacano", "cbk"),
        ("cebuano", "ceb"),
        ("czech", "ces"),
        ("chamorro", "cha"),
        ("chechen", "che"),
        ("chagatai", "chg"),
        ("chinook jargon", "chn"),
        ("choctaw", "cho"),
        ("cherokee", "chr"),
        ("chuvash", "chv"),
        ("jin chinese", "cjy"),
        ("central kurdish (soranî)", "ckb"),
        ("chukchi", "ckt"),
        ("mandarin chinese", "cmn"),
        ("central mnong", "cmo"),
        ("cornish", "cor"),
        ("corsican", "cos"),
        ("chinese pidgin english", "cpi"),
        ("crimean tatar", "crh"),
        ("plains cree", "crk"),
        ("seychellois creole", "crs"),
        ("kashubian", "csb"),
        ("cycl", "cycl"),
        ("welsh", "cym"),
        ("cuyonon", "cyo"),
        ("danish", "dan"),
        ("dargwa", "dar"),
        ("german", "deu"),
        ("southern zaza (dimli)", "diq"),
        ("dhivehi", "div"),
        ("dungan", "dng"),
        ("drents", "drt"),
        ("lower sorbian", "dsb"),
        ("central dusun", "dtp"),
        ("dutton world speedwords", "dws"),
        ("emilian", "egl"),
        ("greek", "ell"),
        ("erromintxela", "emx"),
        ("english", "eng"),
        ("middle english", "enm"),
        ("esperanto", "epo"),
        ("estonian", "est"),
        ("basque", "eus"),
        ("evenki", "evn"),
        ("ewe", "ewe"),
        ("extremaduran", "ext"),
        ("faroese", "fao"),
        ("fijian", "fij"),
        ("finnish", "fin"),
        ("kven finnish", "fkv"),
        ("french", "fra"),
        ("middle french", "frm"),
        ("old french", "fro"),
        ("north frisian", "frr"),
        ("frisian", "fry"),
        ("pulaar", "fuc"),
        ("friulian", "fur"),
        ("nigerian fulfulde", "fuv"),
        ("ga", "gaa"),
        ("gagauz", "gag"),
        ("gan chinese", "gan"),
        ("garhwali", "gbm"),
        ("guadeloupean creole french", "gcf"),
        ("gilbertese", "gil"),
        ("scottish gaelic", "gla"),
        ("irish", "gle"),
        ("galician", "glg"),
        ("manx", "glv"),
        ("konkani (goan)", "gom"),
        ("gronings", "gos"),
        ("gothic", "got"),
        ("ancient greek", "grc"),
        ("guarani", "grn"),
        ("swiss german", "gsw"),
        ("wayuu", "guc"),
        ("gujarati", "guj"),
        ("hakka chinese", "hak"),
        ("haitian creole", "hat"),
        ("hausa", "hau"),
        ("hawaiian", "haw"),
        ("southern haida", "hax"),
        ("ancient hebrew", "hbo"),
        ("northern haida", "hdn"),
        ("hebrew", "heb"),
        ("fiji hindi", "hif"),
        ("hiligaynon", "hil"),
        ("hindi", "hin"),
        ("hmong njua (green)", "hnj"),
        ("ho", "hoc"),
        ("croatian", "hrv"),
        ("hunsrik", "hrx"),
        ("upper sorbian", "hsb"),
        ("xiang chinese", "hsn"),
        ("hungarian", "hun"),
        ("armenian", "hye"),
        ("iban", "iba"),
        ("igbo", "ibo"),
        ("ido", "ido"),
        ("interglossa", "igs"),
        ("nuosu", "iii"),
        ("inuktitut", "ike"),
        ("interlingue", "ile"),
        ("ilocano", "ilo"),
        ("interlingua", "ina"),
        ("indonesian", "ind"),
        ("ingush", "inh"),
        ("icelandic", "isl"),
        ("italian", "ita"),
        ("ingrian", "izh"),
        ("jamaican patois", "jam"),
        ("javanese", "jav"),
        ("lojban", "jbo"),
        ("juhuri (judeo-tat)", "jdt"),
        ("jewish palestinian aramaic", "jpa"),
        ("japanese", "jpn"),
        ("karakalpak", "kaa"),
        ("kabyle", "kab"),
        ("greenlandic", "kal"),
        ("kamba", "kam"),
        ("kannada", "kan"),
        ("kashmiri", "kas"),
        ("georgian", "kat"),
        ("kazakh", "kaz"),
        ("kabardian", "kbd"),
        ("kekchi (q'eqchi')", "kek"),
        ("khasi", "kha"),
        ("khmer", "khm"),
        ("kinyarwanda", "kin"),
        ("kyrgyz", "kir"),
        ("northern zaza (kirmanjki)", "kiu"),
        ("khakas", "kjh"),
        ("khalaj", "klj"),
        ("northern kurdish (kurmancî)", "kmr"),
        ("central kanuri", "knc"),
        ("komi-permyak", "koi"),
        ("korean", "kor"),
        ("komi-zyrian", "kpv"),
        ("karachay-balkar", "krc"),
        ("karelian", "krl"),
        ("kölsch", "ksh"),
        ("kumyk", "kum"),
        ("keningau murut", "kxi"),
        ("coastal kadazan", "kzj"),
        ("southern subanen", "laa"),
        ("ladino", "lad"),
        ("lao", "lao"),
        ("latin", "lat"),
        ("lak", "lbe"),
        ("láadan", "ldn"),
        ("lezgi", "lez"),
        ("lingua franca nova", "lfn"),
        ("ligurian", "lij"),
        ("limburgish", "lim"),
        ("lingala", "lin"),
        ("lithuanian", "lit"),
        ("livonian", "liv"),
        ("lakota", "lkt"),
        ("ladin", "lld"),
        ("lombard", "lmo"),
        ("louisiana creole", "lou"),
        ("latgalian", "ltg"),
        ("luxembourgish", "ltz"),
        ("luganda", "lug"),
        ("lushootseed", "lut"),
        ("latvian", "lvs"),
        ("literary chinese", "lzh"),
        ("laz", "lzz"),
        ("madurese", "mad"),
        ("marshallese", "mah"),
        ("maithili", "mai"),
        ("malayalam", "mal"),
        ("marathi", "mar"),
        ("north moluccan malay", "max"),
        ("moksha", "mdf"),
        ("kelantan-pattani malay", "mfa"),
        ("morisyen", "mfe"),
        ("mambae", "mgm"),
        ("meadow mari", "mhr"),
        ("mi'kmaq", "mic"),
        ("hitchiti", "mik"),
        ("minangkabau", "min"),
        ("macedonian", "mkd"),
        ("malagasy", "mlg"),
        ("maltese", "mlt"),
        ("manchu", "mnc"),
        ("meitei", "mni"),
        ("mono (usa)", "mnr"),
        ("mon", "mnw"),
        ("mohawk", "moh"),
        ("mongolian", "mon"),
        ("maori", "mri"),
        ("hill mari", "mrj"),
        ("muskogee (creek)", "mus"),
        ("tagal murut", "mvv"),
        ("mirandese", "mwl"),
        ("hmong daw (white)", "mww"),
        ("burmese", "mya"),
        ("erzya", "myv"),
        ("nahuatl", "nah"),
        ("min nan chinese", "nan"),
        ("neapolitan", "nap"),
        ("nauruan", "nau"),
        ("navajo", "nav"),
        ("central huasteca nahuatl", "nch"),
        ("low german (low saxon)", "nds"),
        ("newari", "new"),
        ("ngeq ", "ngt"),
        ("guerrero nahuatl", "ngu"),
        ("niuean", "niu"),
        ("dutch", "nld"),
        ("orizaba nahuatl", "nlv"),
        ("nande", "nnb"),
        ("norwegian nynorsk", "nno"),
        ("norwegian bokmål", "nob"),
        ("nogai", "nog"),
        ("old norse", "non"),
        ("novial", "nov"),
        ("nepali", "npi"),
        ("naga (tangshang)", "nst"),
        ("nuer", "nus"),
        ("chinyanja", "nya"),
        ("nyungar", "nys"),
        ("old aramaic", "oar"),
        ("occitan", "oci"),
        ("old frisian", "ofs"),
        ("ojibwe", "oji"),
        ("o'odham", "ood"),
        ("odia (oriya)", "ori"),
        ("old east slavic", "orv"),
        ("old spanish", "osp"),
        ("ossetian", "oss"),
        ("old saxon", "osx"),
        ("ottoman turkish", "ota"),
        ("old turkish", "otk"),
        ("pangasinan", "pag"),
        ("middle persian (pahlavi)", "pal"),
        ("kapampangan", "pam"),
        ("punjabi (eastern)", "pan"),
        ("papiamento", "pap"),
        ("palauan", "pau"),
        ("picard", "pcd"),
        ("pennsylvania german", "pdc"),
        ("persian", "pes"),
        ("palatine german", "pfl"),
        ("phoenician", "phn"),
        ("pali", "pli"),
        ("piedmontese", "pms"),
        ("punjabi (western)", "pnb"),
        ("polish", "pol"),
        ("portuguese", "por"),
        ("pipil", "ppl"),
        ("old prussian", "prg"),
        ("pashto", "pus"),
        ("k'iche'", "quc"),
        ("quechua", "que"),
        ("qashqai", "qxq"),
        ("quenya", "qya"),
        ("rapa nui", "rap"),
        ("rendille", "rel"),
        ("rohingya", "rhg"),
        ("tarifit", "rif"),
        ("romansh", "roh"),
        ("romani", "rom"),
        ("romanian", "ron"),
        ("rusyn", "rue"),
        ("kirundi", "run"),
        ("russian", "rus"),
        ("okinawan", "ryu"),
        ("sango", "sag"),
        ("yakut", "sah"),
        ("sanskrit", "san"),
        ("santali", "sat"),
        ("sicilian", "scn"),
        ("scots", "sco"),
        ("southern kurdish", "sdh"),
        ("samogitian", "sgs"),
        ("tashelhit", "shi"),
        ("shuswap", "shs"),
        ("tachawit", "shy"),
        ("sinhala", "sin"),
        ("sindarin", "sjn"),
        ("saraiki", "skr"),
        ("slovak", "slk"),
        ("slovenian", "slv"),
        ("southern sami", "sma"),
        ("northern sami", "sme"),
        ("samoan", "smo"),
        ("shona", "sna"),
        ("sindhi", "snd"),
        ("somali", "som"),
        ("southern sotho", "sot"),
        ("spanish", "spa"),
        ("albanian", "sqi"),
        ("sardinian", "srd"),
        ("sranan tongo", "srn"),
        ("serbian", "srp"),
        ("swazi", "ssw"),
        ("saterland frisian", "stq"),
        ("sundanese", "sun"),
        ("sumerian", "sux"),
        ("congo swahili", "swc"),
        ("swedish", "swe"),
        ("swabian", "swg"),
        ("swahili", "swh"),
        ("syriac", "syc"),
        ("silesian", "szl"),
        ("tahitian", "tah"),
        ("tamil", "tam"),
        ("tatar", "tat"),
        ("telugu", "tel"),
        ("tetun", "tet"),
        ("tajik", "tgk"),
        ("tagalog", "tgl"),
        ("thai", "tha"),
        ("tahaggart tamahaq", "thv"),
        ("tigre", "tig"),
        ("tigrinya", "tir"),
        ("tokelauan", "tkl"),
        ("klingon", "tlh"),
        ("talysh", "tly"),
        ("jewish babylonian aramaic", "tmr"),
        ("temuan", "tmw"),
        ("tonga (zambezi)", "toi"),
        ("toki pona", "tok"),
        ("tongan", "ton"),
        ("tok pisin", "tpi"),
        ("old tupi", "tpw"),
        ("setswana", "tsn"),
        ("tsonga", "tso"),
        ("isan", "tts"),
        ("turkmen", "tuk"),
        ("turkish", "tur"),
        ("tuvaluan", "tvl"),
        ("tuvinian", "tyv"),
        ("talossan", "tzl"),
        ("udmurt", "udm"),
        ("uyghur", "uig"),
        ("ukrainian", "ukr"),
        ("umbundu", "umb"),
        ("urdu", "urd"),
        ("urhobo", "urh"),
        ("uzbek", "uzb"),
        ("venetian", "vec"),
        ("veps", "vep"),
        ("vietnamese", "vie"),
        ("volapük", "vol"),
        ("võro", "vro"),
        ("waray", "war"),
        ("walloon", "wln"),
        ("wolof", "wol"),
        ("shanghainese", "wuu"),
        ("kalmyk", "xal"),
        ("xhosa", "xho"),
        ("mingrelian", "xmf"),
        ("karakhanid", "xqa"),
        ("yiddish", "yid"),
        ("yoruba", "yor"),
        ("yucatec maya", "yua"),
        ("cantonese", "yue"),
        ("zeelandic", "zea"),
        ("standard moroccan tamazight", "zgh"),
        ("malay (vernacular)", "zlm"),
        ("malay", "zsm"),
        ("zulu", "zul"),
        ("zaza", "zza"),
    ])
}
